Using the external agent id and email address type code in the request path, the method updates the email address fields specified in the request body.
Responses
-
Successfully updated the email address
-
Invalid request. See response body for details.
-
Unauthorized request. See response body for details.
-
Permission denied. See response body for details.
-
External agent or email address not found.
-
Email address already exists.
-
Optimistic concurrency check failed. The If-Match header is missing or it does not contain the version currently in the database.
-
Unknown error. See response body for details.
PATCH
/external-agents/{externalAgentId}/email-addresses/{emailAddressTypeCode}
curl \
--request PATCH 'http://api.example.com/external-agents/{externalAgentId}/email-addresses/{emailAddressTypeCode}' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"typeCode":"string","address":"string"}'
Request example
{
"typeCode": "string",
"address": "string"
}
Response examples (200)
{}
Response examples (404)
{
"code": 42,
"message": "string",
"details": [
"string"
]
}
Response examples (409)
{
"code": 42,
"message": "string",
"details": [
"string"
]
}